> ## Documentation Index
> Fetch the complete documentation index at: https://anam.ai/docs/llms.txt
> Use this file to discover all available pages before exploring further.

# get knowledge document download

> Get a presigned download URL for a knowledge document



## OpenAPI

````yaml https://api.anam.ai/swagger.json get /v1/knowledge/documents/{id}/download
openapi: 3.1.0
info:
  title: Anam AI API
  version: '1.0'
servers:
  - url: https://api.anam.ai
    description: Anam API
security:
  - BearerAuth: []
tags:
  - name: Sessions
  - name: Personas
  - name: Avatars
  - name: Voices
  - name: LLMs
  - name: Knowledge
  - name: Tools
  - name: Share Links
paths:
  /v1/knowledge/documents/{id}/download:
    get:
      tags:
        - Knowledge
      summary: get knowledge document download
      description: Get a presigned download URL for a knowledge document
      operationId: getKnowledgeDocumentDownload
      parameters:
        - in: path
          name: id
          required: true
          schema:
            type: string
          description: Unique identifier of the knowledge document
      responses:
        '200':
          description: Successfully generated download URL
          content:
            application/json:
              schema:
                type: object
                properties:
                  downloadUrl:
                    type: string
                  filename:
                    type: string
              examples:
                default:
                  $ref: '#/components/examples/KnowledgeDocumentDownloadResponse'
        '401':
          description: Unauthorized - Invalid or missing API key
        '404':
          description: Document not found
        '500':
          description: Server error
components:
  examples:
    KnowledgeDocumentDownloadResponse:
      summary: A short-lived URL for downloading a knowledge document
      value:
        downloadUrl: >-
          https://cdn.anam.ai/knowledge/00000000-0000-0000-0000-000000000000.pdf?X-Amz-Signature=…
        filename: getting-started.pdf
  securitySchemes:
    BearerAuth:
      type: http
      scheme: bearer

````